#pragma once

using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Diagnostics;
 
namespace VC02
{
	/// <summary> 
	/// cls0311VC02 の概要
	/// </summary>
	__gc public class cls0311VC02  :  public System::ComponentModel::Component
	{
	public:
		cls0311VC02(void)
		{
			InitializeComponent();
		}
		cls0311VC02(System::ComponentModel::IContainer *container) : components(0)
		{
			/// <summary>
			/// Windows.Forms クラス作成デザイナ サポートに必要です。
			/// </summary>

			container->Add(this);
			InitializeComponent();
		}
		
	protected: 
		void Dispose(Boolean disposing)
		{
			if (disposing && components)
			{
				components->Dispose();
			}
			__super::Dispose(disposing);
		}
				
	private:
		/// <summary>
		/// 必要なデザイナ変数です。
		/// </summary>
		System::ComponentModel::Container *components;
		
		/// <summary>
		/// デザイナ サポートに必要なメソッドです。このメソッドの内容を
		/// コード エディタで変更しないでください。
		/// </summary>		
		void InitializeComponent(void)
		{
			components = new System::ComponentModel::Container();
		}

	public:
		double pdblCalc(Double vdblNum1,
			Double vdblNum2, 
			String *vstrTerm)
		{
			Double dblAns = 0;
			// 演算
			if (String::Compare(vstrTerm,S"＋") == 0) {
				dblAns = vdblNum1 + vdblNum2;
			} else if (String::Compare(vstrTerm,S"−") == 0) {
				dblAns = vdblNum1 - vdblNum2;
			} else if (String::Compare(vstrTerm,S"×") == 0) {
				dblAns = vdblNum1 * vdblNum2;
			} else if (String::Compare(vstrTerm,S"÷") == 0) {
				dblAns = vdblNum1 / vdblNum2;
			} else {
				System::Windows::Forms::MessageBox::Show(
					S"演算子を選択してください。", 
					"", 
					System::Windows::Forms::MessageBoxButtons::OK, 
					System::Windows::Forms::MessageBoxIcon::Warning);
			}
		return dblAns;
		}
	};
}
